OpenNMS API 1.2.9

## org.opennms.netmgt.poller.monitors
Interface NetworkInterface

All Known Implementing Classes:
  IPv4NetworkInterface

public interface NetworkInterface

The NetworkInterface class is designed to be a well defined front for passing interfaces to a service monitor. There are many different types of network in use today including IPv4, IPv6, IPX, and others. To accomidate the possible differences this class provides the basic information that a monitor can use to determine the type of interface and its expected address type.

In addition to providing typing and address information, the interface allows for the monitor to associate key-value pairs with an interface. This can be used to save state information between the various invocations if neccessary. The attributes may be shared with other monitors concurrently, so a monitor must be careful to choose unique keys to prevent namespace collisions.

Author:
  Weave , OpenNMS

Field Summary
`static int` `TYPE_IPV4` Defines a standard IPv4 address.
`static int` `TYPE_UNKNOWN` Defines an unknown interface that has no associated address information.

Method Summary
`java.lang.Object` `getAddress()` Returns the address information for the interface.
`java.lang.Object` `getAttribute(java.lang.String property)` This method is used to return the object that is associated with the property name.
`int` `getType()` Returns the interface type for the network interface.
`java.lang.Object` `setAttribute(java.lang.String property, java.lang.Object value)` This method is used to associate an object value with a textual key.

Field Detail

### TYPE_UNKNOWN

    public static final int TYPE_UNKNOWN

  Defines an unknown interface that has no associated address information.

  See Also:
    Constant Field Values

### TYPE_IPV4

    public static final int TYPE_IPV4

  Defines a standard IPv4 address. This is usually modeled by an InetAddress object.

  See Also:
    Constant Field Values

Method Detail

### getType

    public int getType()

  Returns the interface type for the network interface.

### getAddress

    public java.lang.Object getAddress()

  Returns the address information for the interface. If the interface then this should be either an InetAddress or an object for specialized address types.

### getAttribute

    public java.lang.Object getAttribute(java.lang.String property)

  This method is used to return the object that is associated with the property name. This is very similar to the java.util.Map get() method, but requires that the lookup be performed using a String name. The object may be of any instance that the monitor previous stored.

  If there is no matching object for the property key, then a null pointer is returned to the application.

  Parameters:
    `property` - The key for the lookup.
  Returns:
    The resulting value for the key, null if no value exist.
  Throws:
    `java.lang.IllegalArgumentException` - Thrown if the passed key is empty or null.
  See Also:
    `Map.get(java.lang.Object)`

### setAttribute

    public java.lang.Object setAttribute(java.lang.String property,
                                         java.lang.Object value)

  This method is used to associate an object value with a textual key. If a previous value was associated with the key then the old value is returned to the caller. This is identical to the behavior defined by the java.util.Map put() method. The only restriction is that the key must be a java string instance.

  Parameters:
    `property` - The key
    `value` - The value to associate with the key
  Returns:
    The object that was previously associated with the key. Null is returned if there was no previous value associated.
  Throws:
    `java.lang.IllegalArgumentException` - Thrown if the property name is empty or null.
  See Also:
    `Map.put(java.lang.Object, java.lang.Object)`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.